package com.jzdsh.common;

import java.util.concurrent.TimeUnit;

public class ThreadUtil {
    /**
     * 使当前线程休眠指定时间
     * @param timeout 单位(秒)
     */
    public static void sleep(long timeout){
        sleep(timeout,TimeUnit.SECONDS);
    }

    /**
     * 使当前线程休眠指定时间
     * @param timeout 单位(秒)
     */
    public static void sleep(long timeout,TimeUnit unit){
        try {
            unit.sleep(timeout);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
}
